<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>DatabaseConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/DataConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/DatabaseConfiguration.html" target="_top">Frames</a></li>
<li><a href="DatabaseConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Class DatabaseConfiguration" class="title">Class DatabaseConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">org.apache.commons.configuration2.event.BaseEventSource</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractConfiguration</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.DatabaseConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>, <a href="../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DatabaseConfiguration</span>
extends <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></pre>
<div class="block">Configuration stored in a database. The properties are retrieved from a
 table containing at least one column for the keys, and one column for the
 values. It's possible to store several configurations in the same table by
 adding a column containing the name of the configuration. The name of the
 table and the columns have to be specified using the corresponding
 properties.
 <p>
 The recommended way to create an instance of <code>DatabaseConfiguration</code>
 is to use a <em>configuration builder</em>. The builder is configured with
 a special parameters object defining the database structures used by the
 configuration. Such an object can be created using the <code>database()</code>
 method of the <code>Parameters</code> class. See the examples below for more
 details.
 </p>

 <p>
 <strong>Example 1 - One configuration per table</strong>
 </p>

 <pre>
 CREATE TABLE myconfig (
     `key`   VARCHAR NOT NULL PRIMARY KEY,
     `value` VARCHAR
 );

 INSERT INTO myconfig (key, value) VALUES ('foo', 'bar');

 BasicConfigurationBuilder&lt;DatabaseConfiguration&gt; builder =
     new BasicConfigurationBuilder&lt;DatabaseConfiguration&gt;(DatabaseConfiguration.class);
 builder.configure(
     Parameters.database()
         .setDataSource(dataSource)
         .setTable("myconfig")
         .setKeyColumn("key")
         .setValueColumn("value")
 );
 Configuration config = builder.getConfiguration();
 String value = config.getString("foo");
 </pre>

 <p>
 <strong>Example 2 - Multiple configurations per table</strong>
 </p>

 <pre>
 CREATE TABLE myconfigs (
     `name`  VARCHAR NOT NULL,
     `key`   VARCHAR NOT NULL,
     `value` VARCHAR,
     CONSTRAINT sys_pk_myconfigs PRIMARY KEY (`name`, `key`)
 );

 INSERT INTO myconfigs (name, key, value) VALUES ('config1', 'key1', 'value1');
 INSERT INTO myconfigs (name, key, value) VALUES ('config2', 'key2', 'value2');

 BasicConfigurationBuilder&lt;DatabaseConfiguration&gt; builder =
     new BasicConfigurationBuilder&lt;DatabaseConfiguration&gt;(DatabaseConfiguration.class);
 builder.configure(
     Parameters.database()
         .setDataSource(dataSource)
         .setTable("myconfigs")
         .setKeyColumn("key")
         .setValueColumn("value")
         .setConfigurationNameColumn("name")
         .setConfigurationName("config1")
 );
 Configuration config1 = new DatabaseConfiguration(dataSource, "myconfigs", "name", "key", "value", "config1");
 String value1 = conf.getString("key1");
 </pre>
 The configuration can be instructed to perform commits after database updates.
 This is achieved by setting the <code>commits</code> parameter of the
 constructors to <b>true</b>. If commits should not be performed (which is the
 default behavior), it should be ensured that the connections returned by the
 <code>DataSource</code> are in auto-commit mode.

 <h1>Note: Like JDBC itself, protection against SQL injection is left to the user.</h1></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: DatabaseConfiguration.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:ebourg@apache.org">Emmanuel Bourg</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#DatabaseConfiguration--">DatabaseConfiguration</a></span>()</code>
<div class="block">Creates a new instance of <code>DatabaseConfiguration</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>
<div class="block">Adds a property to this configuration.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds a property to this configuration.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#clearInternal--">clearInternal</a></span>()</code>
<div class="block">Removes all entries from this configuration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Removes the specified value from this configuration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#close-java.sql.Connection-java.sql.Statement-java.sql.ResultSet-">close</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn,
     <a href="http://docs.oracle.com/javase/7/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;stmt,
     <a href="http://docs.oracle.com/javase/7/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;rs)</code>
<div class="block">Close the specified database objects.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Checks whether this configuration contains the specified key.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#extractPropertyValue-java.sql.ResultSet-">extractPropertyValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;rs)</code>
<div class="block">Extracts the value of a property from the given result set.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getConfigurationName--">getConfigurationName</a></span>()</code>
<div class="block">Returns the name of this configuration instance.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getConfigurationNameColumn--">getConfigurationNameColumn</a></span>()</code>
<div class="block">Returns the name of the table column with the configuration name.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getDatasource--">getDatasource</a></span>()</code>
<div class="block">Returns the used <code>DataSource</code> object.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getDataSource--">getDataSource</a></span>()</code>
<div class="block">Returns the <code>DataSource</code> for obtaining database connections.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getKeyColumn--">getKeyColumn</a></span>()</code>
<div class="block">Returns the name of the column containing the configuration keys.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getKeysInternal--">getKeysInternal</a></span>()</code>
<div class="block">Returns an iterator with the names of all properties contained in this
 configuration.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Returns the value of the specified property.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getTable--">getTable</a></span>()</code>
<div class="block">Returns the name of the table containing configuration data.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#getValueColumn--">getValueColumn</a></span>()</code>
<div class="block">Returns the name of the column containing the configuration values.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#isAutoCommit--">isAutoCommit</a></span>()</code>
<div class="block">Returns a flag whether this configuration performs commits after database
 updates.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#isEmptyInternal--">isEmptyInternal</a></span>()</code>
<div class="block">Checks if this configuration is empty.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setAutoCommit-boolean-">setAutoCommit</a></span>(boolean&nbsp;autoCommit)</code>
<div class="block">Sets the auto commit flag.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setConfigurationName-java.lang.String-">setConfigurationName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationName)</code>
<div class="block">Sets the name of this configuration instance.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setConfigurationNameColumn-java.lang.String-">setConfigurationNameColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationNameColumn)</code>
<div class="block">Sets the name of the table column with the configuration name.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setDataSource-javax.sql.DataSource-">setDataSource</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;dataSource)</code>
<div class="block">Sets the <code>DataSource</code> for obtaining database connections.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setKeyColumn-java.lang.String-">setKeyColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyColumn)</code>
<div class="block">Sets the name of the column containing the configuration keys.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setTable-java.lang.String-">setTable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;table)</code>
<div class="block">Sets the name of the table containing configuration data.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html#setValueColumn-java.lang.String-">setValueColumn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;valueColumn)</code>
<div class="block">Sets the name of the column containing the configuration values.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addErrorLogListener--">addErrorLogListener</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#append-org.apache.commons.configuration2.Configuration-">append</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginRead-boolean-">beginRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginWrite-boolean-">beginWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clear--">clear</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#cloneInterpolator-org.apache.commons.configuration2.AbstractConfiguration-">cloneInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#copy-org.apache.commons.configuration2.Configuration-">copy</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endRead--">endRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endWrite--">endWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConfigurationDecoder--">getConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConversionHandler--">getConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeysInternal-java.lang.String-">getKeysInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getListDelimiterHandler--">getListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLogger--">getLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-java.util.Properties-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#initLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">initLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.Object-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.String-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolatedConfiguration--">interpolatedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isScalarValue-java.lang.Object-">isScalarValue</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isThrowExceptionOnMissing--">isThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">setPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#size--">size</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#sizeInternal--">sizeInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#subset-java.lang.String-">subset</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.BaseEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.event.<a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">BaseEventSource</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearErrorListeners--">clearErrorListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearEventListeners--">clearEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clone--">clone</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#copyEventListeners-org.apache.commons.configuration2.event.BaseEventSource-">copyEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createErrorEvent-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">createErrorEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">createEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireError-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">fireError</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">fireEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListenerRegistrations--">getEventListenerRegistrations</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#isDetailEvents--">isDetailEvents</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#setDetailEvents-boolean-">setDetailEvents</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DatabaseConfiguration--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DatabaseConfiguration</h4>
<pre>public&nbsp;DatabaseConfiguration()</pre>
<div class="block">Creates a new instance of <code>DatabaseConfiguration</code>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDataSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataSource</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;getDataSource()</pre>
<div class="block">Returns the <code>DataSource</code> for obtaining database connections.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>DataSource</code></dd>
</dl>
</li>
</ul>
<a name="setDataSource-javax.sql.DataSource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataSource</h4>
<pre>public&nbsp;void&nbsp;setDataSource(<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;dataSource)</pre>
<div class="block">Sets the <code>DataSource</code> for obtaining database connections.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataSource</code> - the <code>DataSource</code></dd>
</dl>
</li>
</ul>
<a name="getTable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTable</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTable()</pre>
<div class="block">Returns the name of the table containing configuration data.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the table to be queried</dd>
</dl>
</li>
</ul>
<a name="setTable-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTable</h4>
<pre>public&nbsp;void&nbsp;setTable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;table)</pre>
<div class="block">Sets the name of the table containing configuration data.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>table</code> - the table name</dd>
</dl>
</li>
</ul>
<a name="getConfigurationNameColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurationNameColumn</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getConfigurationNameColumn()</pre>
<div class="block">Returns the name of the table column with the configuration name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the configuration name column</dd>
</dl>
</li>
</ul>
<a name="setConfigurationNameColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationNameColumn</h4>
<pre>public&nbsp;void&nbsp;setConfigurationNameColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationNameColumn)</pre>
<div class="block">Sets the name of the table column with the configuration name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configurationNameColumn</code> - the name of the column with the
        configuration name</dd>
</dl>
</li>
</ul>
<a name="getKeyColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyColumn</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getKeyColumn()</pre>
<div class="block">Returns the name of the column containing the configuration keys.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the key column</dd>
</dl>
</li>
</ul>
<a name="setKeyColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeyColumn</h4>
<pre>public&nbsp;void&nbsp;setKeyColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyColumn)</pre>
<div class="block">Sets the name of the column containing the configuration keys.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keyColumn</code> - the name of the key column</dd>
</dl>
</li>
</ul>
<a name="getValueColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueColumn</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getValueColumn()</pre>
<div class="block">Returns the name of the column containing the configuration values.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the value column</dd>
</dl>
</li>
</ul>
<a name="setValueColumn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValueColumn</h4>
<pre>public&nbsp;void&nbsp;setValueColumn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;valueColumn)</pre>
<div class="block">Sets the name of the column containing the configuration values.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>valueColumn</code> - the name of the value column</dd>
</dl>
</li>
</ul>
<a name="getConfigurationName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurationName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getConfigurationName()</pre>
<div class="block">Returns the name of this configuration instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of this configuration</dd>
</dl>
</li>
</ul>
<a name="setConfigurationName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationName</h4>
<pre>public&nbsp;void&nbsp;setConfigurationName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configurationName)</pre>
<div class="block">Sets the name of this configuration instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configurationName</code> - the name of this configuration</dd>
</dl>
</li>
</ul>
<a name="isAutoCommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoCommit</h4>
<pre>public&nbsp;boolean&nbsp;isAutoCommit()</pre>
<div class="block">Returns a flag whether this configuration performs commits after database
 updates.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether commits are performed</dd>
</dl>
</li>
</ul>
<a name="setAutoCommit-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoCommit</h4>
<pre>public&nbsp;void&nbsp;setAutoCommit(boolean&nbsp;autoCommit)</pre>
<div class="block">Sets the auto commit flag. If set to <b>true</b>, this configuration
 performs a commit after each database update.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>autoCommit</code> - the auto commit flag</dd>
</dl>
</li>
</ul>
<a name="getPropertyInternal-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertyInternal</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getPropertyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Returns the value of the specified property. If this causes a database
 error, an error event will be generated of type
 <code>READ</code> with the causing exception. The
 event's <code>propertyName</code> is set to the passed in property key,
 the <code>propertyValue</code> is undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the desired property</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of this property</dd>
</dl>
</li>
</ul>
<a name="addPropertyDirect-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPropertyDirect</h4>
<pre>protected&nbsp;void&nbsp;addPropertyDirect(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<div class="block">Adds a property to this configuration. If this causes a database error,
 an error event will be generated of type <code>ADD_PROPERTY</code>
 with the causing exception. The event's <code>propertyName</code> is
 set to the passed in property key, the <code>propertyValue</code>
 points to the passed in value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the property key</dd>
<dd><code>obj</code> - the value of the property to add</dd>
</dl>
</li>
</ul>
<a name="addPropertyInternal-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPropertyInternal</h4>
<pre>protected&nbsp;void&nbsp;addPropertyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Adds a property to this configuration. This implementation
 temporarily disables list delimiter parsing, so that even if the value
 contains the list delimiter, only a single record is written into
 the managed table. The implementation of <code>getProperty()</code>
 takes care about delimiters. So list delimiters are fully supported
 by <code>DatabaseConfiguration</code>, but internally treated a bit
 differently.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the new property</dd>
<dd><code>value</code> - the value to be added</dd>
</dl>
</li>
</ul>
<a name="isEmptyInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmptyInternal</h4>
<pre>protected&nbsp;boolean&nbsp;isEmptyInternal()</pre>
<div class="block">Checks if this configuration is empty. If this causes a database error,
 an error event will be generated of type <code>READ</code>
 with the causing exception. Both the event's <code>propertyName</code>
 and <code>propertyValue</code> will be undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmptyInternal--">isEmptyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this configuration is empty.</dd>
</dl>
</li>
</ul>
<a name="containsKeyInternal-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsKeyInternal</h4>
<pre>protected&nbsp;boolean&nbsp;containsKeyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Checks whether this configuration contains the specified key. If this
 causes a database error, an error event will be generated of type
 <code>READ</code> with the causing exception. The
 event's <code>propertyName</code> will be set to the passed in key, the
 <code>propertyValue</code> will be undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key to be checked</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this key is defined</dd>
</dl>
</li>
</ul>
<a name="clearPropertyDirect-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearPropertyDirect</h4>
<pre>protected&nbsp;void&nbsp;clearPropertyDirect(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Removes the specified value from this configuration. If this causes a
 database error, an error event will be generated of type
 <code>CLEAR_PROPERTY</code> with the causing exception. The
 event's <code>propertyName</code> will be set to the passed in key, the
 <code>propertyValue</code> will be undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the property to be removed</dd>
</dl>
</li>
</ul>
<a name="clearInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearInternal</h4>
<pre>protected&nbsp;void&nbsp;clearInternal()</pre>
<div class="block">Removes all entries from this configuration. If this causes a database
 error, an error event will be generated of type
 <code>CLEAR</code> with the causing exception. Both the
 event's <code>propertyName</code> and the <code>propertyValue</code>
 will be undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearInternal--">clearInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="getKeysInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeysInternal</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getKeysInternal()</pre>
<div class="block">Returns an iterator with the names of all properties contained in this
 configuration. If this causes a database
 error, an error event will be generated of type
 <code>READ</code> with the causing exception. Both the
 event's <code>propertyName</code> and the <code>propertyValue</code>
 will be undefined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeysInternal--">getKeysInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an iterator with the contained keys (an empty iterator in case
 of an error)</dd>
</dl>
</li>
</ul>
<a name="getDatasource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatasource</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>&nbsp;getDatasource()</pre>
<div class="block">Returns the used <code>DataSource</code> object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the data source</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.4</dd>
</dl>
</li>
</ul>
<a name="close-java.sql.Connection-java.sql.Statement-java.sql.ResultSet-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>protected&nbsp;void&nbsp;close(<a href="http://docs.oracle.com/javase/7/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn,
                     <a href="http://docs.oracle.com/javase/7/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;stmt,
                     <a href="http://docs.oracle.com/javase/7/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;rs)</pre>
<div class="block">Close the specified database objects.
 Avoid closing if null and hide any SQLExceptions that occur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conn</code> - The database connection to close</dd>
<dd><code>stmt</code> - The statement to close</dd>
<dd><code>rs</code> - the result set to close</dd>
</dl>
</li>
</ul>
<a name="extractPropertyValue-java.sql.ResultSet-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>extractPropertyValue</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;extractPropertyValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;rs)
                               throws <a href="http://docs.oracle.com/javase/7/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Extracts the value of a property from the given result set. The passed in
 <code>ResultSet</code> was created by a SELECT statement on the underlying
 database table. This implementation reads the value of the column
 determined by the <code>valueColumn</code> property. Normally the contained
 value is directly returned. However, if it is of type <code>CLOB</code>, text
 is extracted as string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rs</code> - the current <code>ResultSet</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the property column</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DatabaseConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/ConfigurationXMLReader.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/DataConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/DatabaseConfiguration.html" target="_top">Frames</a></li>
<li><a href="DatabaseConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
